@mixin make-margin($s : vars.$class) {
   #{$s}spacing-0{
        margin: 0;
        padding: 0;
    }
    #{$s}m{
        margin: 1px;
    }
    #{$s}mt{
        margin-top: 1px;
    }
    #{$s}mr{
        margin-right: 1px;
    }
    #{$s}mb{
        margin-bottom: 1px;
    }
    #{$s}ml{
        margin-left: 1px;
    }
    #{$s}mx{
        margin-right: 1px;
        margin-left: 1px;
    }
    #{$s}my{
        margin-top: 1px;
        margin-bottom: 1px;
    }
   #{$s}m-auto{
        margin: auto;
    }
   #{$s}mt-auto{
        margin-top: auto;
    }
   #{$s}mr-auto{
        margin-right: auto;
    }
   #{$s}mb-auto{
        margin-bottom: auto;
    }
   #{$s}ml-auto{
        margin-left: auto;
    }
   #{$s}my-auto{
        margin-top: auto;
        margin-bottom: auto;
    }
   #{$s}mx-auto{
        margin-left: auto;
        margin-right: auto;
    }
    
    @for $i from 0 to 101 {
       #{$s}m-#{$i}{
            margin: #{ 0.25 * $i}rem;
        }
       #{$s}-m-#{$i}{
            margin: #{ 0.25 * $i}rem;
        }
       #{$s}my-#{$i}{
            margin-top: #{ 0.25 * $i}rem;
            margin-bottom: #{ 0.25 * $i}rem;
        }
       #{$s}-my-#{$i}{
            margin-top: -#{ 0.25 * $i}rem;
            margin-bottom: -#{ 0.25 * $i}rem;
        }
       #{$s}mx-#{$i}{
            margin-right: #{ 0.25 * $i}rem;
            margin-left: #{ 0.25 * $i}rem;
        }
       #{$s}-mx-#{$i}{
            margin-right: -#{ 0.25 * $i}rem;
            margin-left: -#{ 0.25 * $i}rem;
        }
       #{$s}mt-#{$i}{
            margin-top: #{ 0.25 * $i}rem;
        }
       #{$s}-mt-#{$i}{
            margin-top: -#{ 0.25 * $i}rem;
        }
       #{$s}mr-#{$i}{
            margin-right: #{ 0.25 * $i}rem;
        }
       #{$s}-mr-#{$i}{
            margin-right: -#{ 0.25 * $i}rem;
        }
       #{$s}mb-#{$i}{
            margin-bottom: #{ 0.25 * $i}rem;
        }
       #{$s}-mb-#{$i}{
            margin-bottom: -#{ 0.25 * $i}rem;
        }
       #{$s}ml-#{$i}{
            margin-left: #{ 0.25 * $i}rem;
        }
       #{$s}-ml-#{$i}{
            margin-left: -#{ 0.25 * $i}rem;
        }
    }
}